Monday, December 28, 2009

Installing gem ferret without nmake error

Gem's like ferret, ruby-debug throws nmake errors while installing those. Like I got when I was installing ferret
$ gem install ferret
Building native extensions. This could take a while...
ERROR: Error installing ferret:
ERROR: Failed to build gem native extension.

c:/ruby/bin/ruby.exe extconf.rb
creating Makefile

nmake
'nmake' is not recognized as an internal or external command,
operable program or batch file.


Gem files will remain installed in c:/ruby/lib/ruby/gems/1.8/gems/ferret-0.11.6
for inspection.
Results logged to c:/ruby/lib/ruby/gems/1.8/gems/ferret-0.11.6/ext/gem_make.out


To avoid this go to rubyforge.com and then just download gem file which name holds "mswin32", the gem will be installed with no nmake errors.

1 comment:

  1. Where does the mswin32 version of the gem need to be?

    ReplyDelete